using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace RegisterMaschine
{
    public class RegisterHelper
    {
        public static string[] ConvertToCode(string input)
        {
            string[] arr = input.Split('\r','\n');

            ArrayList list = new ArrayList();
            for (int i = 0; i < arr.Length; i++)
            {
                if (IsCodeLine(arr[i]))
                    list.Add(arr[i]);                
            }
            return (string[])list.ToArray(typeof(string));
        }
        public static string[] ConvertToRunableCode(string input)
        {
            string[] arr = input.Split('\r', '\n');

            ArrayList list = new ArrayList();
            for (int i = 0; i < arr.Length; i++)
            {
                if (IsRunableCodeLine(arr[i]))
                    list.Add(arr[i]);
            }
            return (string[])list.ToArray(typeof(string));
        }

        static bool IsCodeLine(string codeline)
        {
            bool ret = false;
            if (codeline.StartsWith("#") ||
                codeline.ToLower().StartsWith("b"))
            {
                ret = true;
            }
            return ret;
        }
        static bool IsRunableCodeLine(string codeline)
        {
            bool ret = false;
            if (codeline.ToLower().StartsWith("b"))
            {
                ret = true;
            }
            return ret;
        }
    }
}
